using System.Threading.Tasks;

namespace DiplomovaPrace.Services.Mailer
{
	public interface IMailerService
	{
		Task SendPasswordRecoveryEmailAsync(string mailTo, string customerFullName, byte[] token, string role);

		Task SendOrderConfirmationEmailAsync(string mailTo, string customerFullName, int orderID, decimal orderPrice);

		Task SendOrderPaymentInformationEmailAsync(string mailTo, string customerFullName, int orderID, decimal orderPrice);

		Task SendOrderRdyForPickEmailAsync(string mailTo, string customerFullName, int orderID);
	}
}
